Bug 1661215 - [DOC] openshift_logging does not change the project
Summary: [DOC] openshift_logging does not change the project
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.10.z
Assignee: Michael Burke
QA Contact: Anping Li
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-20 12:55 UTC by Fatima
Modified: 2019-09-18 04:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-21 19:27:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Fatima 2018-12-20 12:55:29 UTC
Description of problem:

As mentioned in the doc[1] when we set the var openshift_logging=project_name
 the components get deployed to the project openshift-logging project instead of the "project_name" mentioned.

[1] https://docs.openshift.com/container-platform/3.10/install_config/aggregate_logging.html#aggregate-logging-ansible-variables

Version-Release number of selected component (if applicable):

openshift-ansible-roles-3.10.73-1.git.0.8b65cea.el7.noarch
openshift-ansible-playbooks-3.10.73-1.git.0.8b65cea.el7.noarch
openshift-ansible-docs-3.10.73-1.git.0.8b65cea.el7.noarch
openshift-ansible-3.10.73-1.git.0.8b65cea.el7.noarch


How reproducible:
100%

Steps to Reproduce:
1. set the following vars in inventory:

openshift_logging_install_logging=true
openshift_logging=logging

2. run the playbook:

ansible-playbook -i hosts /usr/share/ansible/openshift-ansible/playbooks/openshift-logging/config.yml -vvv | tee logging.txt


Actual results: The resources are deployed in openshift-logging


Expected results: The resources should be deployed in logging


Additional info: If the project for logging cannot be changed, then let me know, I will raise a doc bug.

Comment 1 Jeff Cantrill 2018-12-20 14:31:50 UTC
This is a documentation issue.  The correct variable is `openshift_logging_namespace`.  Note we encourage use of the current default 'openshift-logging' as this will be the only project where cluster logging will be deployable in 4.x

Comment 2 Jeff Cantrill 2018-12-20 14:48:01 UTC
Actually reviewing further, there is no way to modify the namespace which was originally documented here https://bugzilla.redhat.com/show_bug.cgi?id=1588290.  The roles will try to use an existing namespace otherwise deploy to 'openshift-logging'.  The documents should be modified to remove that particular row from the table and simply state what the default is.

Comment 3 Michael Burke 2018-12-20 15:36:03 UTC
Removed `openshift_logging` from the variable table and noted in Deploy EFK that all logging components are " deployed to the project `openshift-logging`."

https://github.com/openshift/openshift-docs/pull/13178

Comment 4 boris.ruppert@consol.de 2018-12-21 10:44:23 UTC
It would be really nice if the name of the namespace could be customized. 
A lot of customer have tooling and automation around this where they now have to manage a mix of upgraded clusters with the old namespace and the new one

Comment 5 Jeff Cantrill 2018-12-21 18:32:52 UTC
The logging roles include logic to check if logging is deployed to a namespace other then 'openshift-logging' and will make updates and changes using what it finds.  New deployments will only be installed to 'openshift-logging'.  Additionally, there is planned work for 4.x to migrate existing logging deployments to the  'openshift-logging' namespace during a 3.11 to 4.x upgrade.


Note You need to log in before you can comment on or make changes to this bug.